#include "common.h"

int main( int argc, char *argv[] ) {
   char sadr[ MAXLINE ] = "localhost";
   in_port_t port = FORK_PORT;
   int opt;
   while ( ( opt = getopt( argc, argv, "p:v") ) != -1 ) 
      switch( opt ) {
         case 'p' :
            if( atoi( optarg ) > 0 ) port = atoi( optarg );
            break;
         case 'v' :
            debug = true;
            break;
         default :
            return 1;
      }   
   if( optind < argc ) strcpy( sadr, argv[ optind ] );
   printf( "host: %s TCP port = %u\n", sadr, port );
   int rc, ls;
   if( ( ls = socket( AF_INET, SOCK_STREAM, 0 ) ) < 0 ) {
      printf( "create stream socket failed\n" );
      return 1;
   }
   struct sockaddr_in addr;
   memset( &addr, 0, sizeof( addr ) );
   addr.sin_family = AF_INET;
   addr.sin_port = htons( port );
   inet_aton( sadr, &addr.sin_addr );
   if( ( rc = connect( ls, (struct sockaddr*)&addr, sizeof( struct sockaddr ) ) ) < 0 ) {
      printf( "connect failed\n" );
      return 1;
   }
   char ask[ MAXLINE ] = "\n";
   do {
      if( ( rc = write( ls, ask, strlen( ask ) + 1 ) ) <= 0 ) { 
         perror( "write data failed" ); 
         break; 
      }
      rc = read( ls, ask, MAXLINE );
      if( rc < 0 ) { 
         perror( "read data failed" );
         break;
      }
      if( rc == 0 ) { 
         printf( "server closed connection\n" );
         break;
      }
      printf( "%s", ask );
   } while( fgets( ask, MAXLINE, stdin ) );
   close( ls );
   exit( EXIT_SUCCESS );
}
 